Index: /LMDZ6/trunk/libf/phylmd/ecrad/radiation_scheme.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/ecrad/radiation_scheme.F90	(revision 4569)
+++ /LMDZ6/trunk/libf/phylmd/ecrad/radiation_scheme.F90	(revision 4570)
@@ -356,4 +356,23 @@
 ! AI appel radiation_setup
 call SETUP_RADIATION_SCHEME(loutput)
+! Read "radiation_driver" namelist into radiation driver config type
+  file_name="namelist_ecrad"
+call driver_config%read(file_name)
+
+if (rad_config%i_solver_sw == ISolverSPARTACUS &
+      & .or.   rad_config%i_solver_lw == ISolverSPARTACUS) then
+       print*,'Solveur SW: ', rad_config%i_solver_sw
+       print*,'Solveur LW: ', rad_config%i_solver_lw
+   if (driver_config%ok_effective_size) then
+       print*,'low_inv_effective_size = ',driver_config%low_inv_effective_size
+       print*,'middle_inv_effective_size = ',driver_config%middle_inv_effective_size
+       print*,'high_inv_effective_size = ',driver_config%high_inv_effective_size
+   else if (driver_config%ok_separation) then   
+       print*,'cloud_separation_scale_surface =',driver_config%cloud_separation_scale_surface
+       print*,'cloud_separation_scale_toa =',driver_config%cloud_separation_scale_toa
+       print*,'cloud_separation_scale_power =',driver_config%cloud_separation_scale_power
+       print*,'cloud_inhom_separation_factor =',driver_config%cloud_inhom_separation_factor
+   endif   
+endif   
 
  if (lprint_config) then
@@ -502,7 +521,12 @@
 ! AI ! Read cloud properties needed by SPARTACUS
 !AI ATTENTION meme traitement dans le version offline
-  if (driver_config%low_inv_effective_size >= 0.0_jprb &
-     & .or. driver_config%middle_inv_effective_size >= 0.0_jprb &
-     & .or. driver_config%high_inv_effective_size >= 0.0_jprb) then
+
+! By default mid and high cloud effective size is 10 km
+!CALL cloud%create_inv_cloud_effective_size(KLON,KLEV,1.0_JPRB/10000.0_JPRB)
+
+!  if (driver_config%low_inv_effective_size >= 0.0_jprb &
+!     & .or. driver_config%middle_inv_effective_size >= 0.0_jprb &
+!     & .or. driver_config%high_inv_effective_size >= 0.0_jprb) then
+  if (driver_config%ok_effective_size) then
      call cloud%create_inv_cloud_effective_size_eta(klon, klev, &
                &  thermodynamics%pressure_hl, &
@@ -510,7 +534,8 @@
                &  driver_config%middle_inv_effective_size, &
                &  driver_config%high_inv_effective_size, 0.8_jprb, 0.45_jprb)
-  else if (driver_config%cloud_separation_scale_surface > 0.0_jprb &
-         .and. driver_config%cloud_separation_scale_toa > 0.0_jprb) then
-    call cloud%param_cloud_effective_separation_eta(klon, klev, &
+!  else if (driver_config%cloud_separation_scale_surface > 0.0_jprb &
+!         .and. driver_config%cloud_separation_scale_toa > 0.0_jprb) then
+  else if (driver_config%ok_separation) then
+      call cloud%param_cloud_effective_separation_eta(klon, klev, &
                &  thermodynamics%pressure_hl, &
                &  driver_config%cloud_separation_scale_surface, &
Index: /LMDZ6/trunk/libf/phylmd/ecrad/setup_config_from_lmdz.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/ecrad/setup_config_from_lmdz.F90	(revision 4569)
+++ /LMDZ6/trunk/libf/phylmd/ecrad/setup_config_from_lmdz.F90	(revision 4570)
@@ -8,8 +8,10 @@
 
   type driver_config_type
+     logical    :: ok_effective_size  = .true.
+     logical    :: ok_separation = .false.   
      real(jprb) :: high_inv_effective_size   = -1.0_jprb ! m-1
      real(jprb) :: middle_inv_effective_size = -1.0_jprb ! m-1
      real(jprb) :: low_inv_effective_size    = -1.0_jprb ! m-1
-     real(jprb) :: cloud_inhom_separation_factor  = 1.0_jprb
+     real(jprb) :: cloud_inhom_separation_factor  = -1.0_jprb
      real(jprb) :: cloud_separation_scale_surface = -1.0_jprb
      real(jprb) :: cloud_separation_scale_toa     = -1.0_jprb
@@ -34,5 +36,6 @@
     character(*), intent(in)          :: file_name
     logical, intent(out), optional    :: is_success
-    integer :: iosopen ! Status after calling open
+    logical    :: ok_effective_size, ok_separation
+    integer    :: iosopen ! Status after calling open
     real(jprb) :: high_inv_effective_size 
     real(jprb) :: middle_inv_effective_size
@@ -45,8 +48,21 @@
     real(jprb) :: overlap_decorr_length
 
-    namelist /radiation_driver/ frac_std, overlap_decorr_length, &
+    namelist /radiation_driver/ ok_effective_size, ok_separation, &
+         &  frac_std, overlap_decorr_length, &
          &  high_inv_effective_size, middle_inv_effective_size, low_inv_effective_size, &
          &  cloud_inhom_separation_factor, cloud_separation_scale_surface, &
          &  cloud_separation_scale_toa, cloud_separation_scale_power 
+
+    ok_effective_size = .false.
+    ok_separation = .false.
+    high_inv_effective_size   = -1.0_jprb 
+    middle_inv_effective_size = -1.0_jprb 
+    low_inv_effective_size    = -1.0_jprb 
+    cloud_inhom_separation_factor  = -1.0_jprb
+    cloud_separation_scale_surface = -1.0_jprb
+    cloud_separation_scale_toa     = -1.0_jprb
+    cloud_separation_scale_power   = -1.0_jprb
+    frac_std = 0.75_jprb
+    overlap_decorr_length = 2000.0_jprb
 
     ! Open the namelist file and read the radiation_driver namelist
@@ -72,4 +88,6 @@
 
     ! Copy namelist data into configuration object
+    this%ok_effective_size = ok_effective_size 
+    this%ok_separation = ok_separation
     this%frac_std = frac_std
     this%overlap_decorr_length = overlap_decorr_length