Index: DZ6/trunk/arch/arch-ES_MOON.fcm
===================================================================
--- /LMDZ6/trunk/arch/arch-ES_MOON.fcm	(revision 4596)
+++ 	(revision )
@@ -1,18 +1,0 @@
-%COMPILER            esmpif90
-%LINK                esmpif90
-%AR                  esar
-%ARFLAGS             rs
-%MAKE                gmake
-%FPP_FLAGS           -P -traditional
-%FPP_DEF             NC_DOUBLE BLAS SGEMV=DGEMV SGEMM=DGEMM FFT_MATHKEISAN
-%BASE_FFLAGS         -P stack -Wf,-pvctl res=whole,-A dbl4,-ptr byte -EP -R5 -float0 -dw -Wf,"-pvctl loopcnt=999999 fullmsg noassume"
-%PROD_FFLAGS         -C vopt
-%DEV_FFLAGS          -C vsafe -gv -Wf,-init stack=nan,-init heap=nan
-%DEBUG_FFLAGS        -C debug -eC -Wf,-init stack=nan,-init heap=nan
-%MPI_FFLAGS
-%OMP_FFLAGS          -P openmp
-%BASE_LD             -lblas -lfft
-%MPI_LD
-%OMP_LD              -P openmp  -Wl,"-ZL 3G"
-
-
Index: DZ6/trunk/arch/arch-ES_MOON.path
===================================================================
--- /LMDZ6/trunk/arch/arch-ES_MOON.path	(revision 4596)
+++ 	(revision )
@@ -1,13 +1,0 @@
-NETCDF_LIBDIR="-L/S/home010/c0010/ES/lib -lnetcdf"
-NETCDF_INCDIR=-I/S/home010/c0010/ES/include
-NETCDF95_INCDIR=-I$LMDGCM/../../include
-NETCDF95_LIBDIR=-L$LMDGCM/../../lib
-IOIPSL_INCDIR=$LMDGCM/../../lib
-IOIPSL_LIBDIR=$LMDGCM/../../lib
-ORCH_INCDIR=$LMDGCM/../../lib
-ORCH_LIBDIR=$LMDGCM/../../lib
-OASIS_INCDIR=$LMDGCM/../../prism/ES/build/lib/psmile.$couple
-OASIS_LIBDIR=$LMDGCM/../../prism/ES/lib
-INCA_LIBDIR=$LMDGCM/../INCA/config/lib
-INCA_INCDIR=$LMDGCM/../INCA/config/lib
-LIBPREFIX=sx
Index: DZ6/trunk/arch/arch-IA64_PLATINE.fcm
===================================================================
--- /LMDZ6/trunk/arch/arch-IA64_PLATINE.fcm	(revision 4596)
+++ 	(revision )
@@ -1,16 +1,0 @@
-%COMPILER            mpif90
-%LINK                mpif90
-%AR                  ar
-%ARFLAGS             rs
-%MAKE                gmake
-%FPP_FLAGS           -P -traditional
-%FPP_DEF             NC_DOUBLE BLAS SGEMV=DGEMV SGEMM=DGEMM FFT_MKL
-%BASE_FFLAGS         -i4 -r8 -automatic -align all -I${MKLROOT}/include
-%PROD_FFLAGS         -O3
-%DEV_FFLAGS          -p -g -O3 -traceback
-%DEBUG_FFLAGS        -p -g -traceback
-%MPI_FFLAGS
-%OMP_FFLAGS          -openmp
-%BASE_LD             -p -i4 -r8 -automatic $MKL_LIBS
-%MPI_LD
-%OMP_LD              -openmp
Index: DZ6/trunk/arch/arch-IA64_PLATINE.path
===================================================================
--- /LMDZ6/trunk/arch/arch-IA64_PLATINE.path	(revision 4596)
+++ 	(revision )
@@ -1,13 +1,0 @@
-NETCDF_LIBDIR="-L/usr/lib -lnetcdff  -lnetcdf"
-NETCDF_INCDIR=-I/usr/include
-NETCDF95_INCDIR=$LMDGCM/../../include
-NETCDF95_LIBDIR=$LMDGCM/../../lib
-IOIPSL_INCDIR=$LMDGCM/../../lib
-IOIPSL_LIBDIR=$LMDGCM/../../lib
-ORCH_INCDIR=$LMDGCM/../../lib
-ORCH_LIBDIR=$LMDGCM/../../lib
-OASIS_INCDIR=$LMDGCM/../../prism/IA64/build/lib/psmile.$couple
-OASIS_LIBDIR=$LMDGCM/../../prism/IA64/lib
-INCA_LIBDIR=$LMDGCM/../INCA/config/lib
-INCA_INCDIR=$LMDGCM/../INCA/config/lib
-
Index: DZ6/trunk/arch/arch-PW6_VARGAS.fcm
===================================================================
--- /LMDZ6/trunk/arch/arch-PW6_VARGAS.fcm	(revision 4596)
+++ 	(revision )
@@ -1,16 +1,0 @@
-%COMPILER            xlf_r
-%LINK                mpxlf_r
-%AR                  ar
-%ARFLAGS             rs
-%MAKE                gmake
-%FPP_FLAGS           -P -I/usr/local/pub/FFTW/3.2/include
-%FPP_DEF             NC_DOUBLE BLAS SGEMV=DGEMV SGEMM=DGEMM FFT_FFTW
-%BASE_FFLAGS         -qautodbl=dbl4 -qxlf90=autodealloc -qmaxmem=-1 -qzerosize -I/usr/local/pub/FFTW/3.2/include
-%PROD_FFLAGS         -O3
-%DEV_FFLAGS          -O2 -qfullpath -qinitauto=7FBFFFFF -qfloat=nans -qflttrap=overflow:zerodivide:invalid:enable -qsigtrap
-%DEBUG_FFLAGS        -g -qfullpath -qnooptimize -qinitauto=7FBFFFFF  -qfloat=nans -qflttrap=overflow:zerodivide:invalid:enable -qsigtrap -qcheck
-%MPI_FFLAGS          -I/usr/lpp/ppe.poe/include/thread64
-%OMP_FFLAGS          -qsmp=omp
-%BASE_LD             -lessl -L/usr/local/pub/FFTW/3.2/lib -lfftw3
-%MPI_LD              
-%OMP_LD              -qsmp=omp
Index: DZ6/trunk/arch/arch-PW6_VARGAS.path
===================================================================
--- /LMDZ6/trunk/arch/arch-PW6_VARGAS.path	(revision 4596)
+++ 	(revision )
@@ -1,12 +1,0 @@
-NETCDF_LIBDIR="${NETCDF_LDFLAGS:--L/usr/local/pub/NetCDF/3.6.2/lib -lnetcdf}"
-NETCDF_INCDIR="${NETCDF_FFLAGS:--I/usr/local/pub/NetCDF/3.6.2/include}"
-NETCDF95_INCDIR=$LMDGCM/../../include
-NETCDF95_LIBDIR=$LMDGCM/../../lib
-IOIPSL_INCDIR=$LMDGCM/../../lib
-IOIPSL_LIBDIR=$LMDGCM/../../lib
-ORCH_INCDIR=$LMDGCM/../../lib
-ORCH_LIBDIR=$LMDGCM/../../lib
-OASIS_INCDIR=$LMDGCM/../../prism/AIX6/build/lib/psmile.$couple
-OASIS_LIBDIR=$LMDGCM/../../prism/AIX6/lib
-INCA_LIBDIR=$LMDGCM/../INCA/config/lib
-INCA_INCDIR=$LMDGCM/../INCA/config/lib
Index: DZ6/trunk/arch/arch-SX8_BRODIE.fcm
===================================================================
--- /LMDZ6/trunk/arch/arch-SX8_BRODIE.fcm	(revision 4596)
+++ 	(revision )
@@ -1,17 +1,0 @@
-%COMPILER            sxmpif90
-%LINK                sxmpif90
-%AR                  sxar
-%ARFLAGS             rs
-%MAKE                sxgmake
-%FPP_FLAGS           -P -traditional
-%FPP_DEF             NC_DOUBLE BLAS SGEMV=DGEMV SGEMM=DGEMM FFT_MATHKEISAN
-%BASE_FFLAGS         -P stack -Wf,-pvctl res=whole,-A dbl4,-ptr byte -EP -R5 -float0 -dw -Wf,"-pvctl loopcnt=999999 fullmsg noassume"
-%PROD_FFLAGS         -C vopt
-%DEV_FFLAGS          -C vsafe -gv -Wf,-init stack=nan,-init heap=nan
-%DEBUG_FFLAGS        -C debug -eR -Wf,-init stack=nan,-init heap=nan
-%MPI_FFLAGS
-%OMP_FFLAGS          -P openmp
-%BASE_LD             -lblas -lfft
-%MPI_LD
-%OMP_LD              -P openmp  -Wl,"-ZL 3G"
-
Index: DZ6/trunk/arch/arch-SX8_BRODIE.opt
===================================================================
--- /LMDZ6/trunk/arch/arch-SX8_BRODIE.opt	(revision 4596)
+++ 	(revision )
@@ -1,12 +1,0 @@
-%INLINE -pi auto exp=swtt1_lmdar4,swtt_lmdar4,swde_lmdar4,lwttm_lmdar4,lwtt_lmdar4,swr_lmdar4,swclr_lmdar4 noexp=SW_LMDAR4,SWU_LMDAR4,SW1S_LMDAR4,SW2S_LMDAR4,LW_LMDAR4,LWU_LMDAR4,LWBV_LMDAR4,LWC_LMDAR4,LWB_LMDAR4,LWV_LMDAR4,LWVB_LMDAR4,LWVD_LMDAR4,LWVN_LMDAR4 line=2000
-
-bld::tool::fflags::phys::readaerosol         %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt -pi auto
-bld::tool::fflags::phys::aeropt_2bands       %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR
-bld::tool::fflags::phys::radiation_AR4       %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt -Wf,-O,extendreorder %INLINE
-bld::tool::fflags::phys::radiation_AR4_param %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt %INLINE
-bld::tool::fflags::phys::fisrtilp            %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
-bld::tool::fflags::phys::cv30_routines       %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -Wf,-O,extendreorder
-bld::tool::fflags::phys::cvltr               %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
-bld::tool::fflags::phys::clouds_gno          %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
-bld::tool::fflags::dyn::vlsplt_p             %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
-bld::tool::fflags::dyn::groupeun_p           %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
Index: DZ6/trunk/arch/arch-SX8_BRODIE.path
===================================================================
--- /LMDZ6/trunk/arch/arch-SX8_BRODIE.path	(revision 4596)
+++ 	(revision )
@@ -1,12 +1,0 @@
-NETCDF_LIBDIR="-L/SXlocal/pub/netCDF/3.6.1-openmp/lib -lnetcdf"
-NETCDF_INCDIR=-I/SXlocal/pub/netCDF/3.6.1-openmp/include
-NETCDF95_INCDIR=$LMDGCM/../../include
-NETCDF95_LIBDIR=$LMDGCM/../../lib
-IOIPSL_INCDIR=$LMDGCM/../../lib
-IOIPSL_LIBDIR=$LMDGCM/../../lib
-ORCH_INCDIR=$LMDGCM/../../lib
-ORCH_LIBDIR=$LMDGCM/../../lib
-OASIS_INCDIR=$LMDGCM/../../prism/SX/build/lib/psmile.$couple
-OASIS_LIBDIR=$LMDGCM/../../prism/SX/lib
-INCA_LIBDIR=$LMDGCM/../INCA/config/lib
-INCA_INCDIR=$LMDGCM/../INCA/config/lib
Index: DZ6/trunk/arch/arch-SX8_MERCURE.fcm
===================================================================
--- /LMDZ6/trunk/arch/arch-SX8_MERCURE.fcm	(revision 4596)
+++ 	(revision )
@@ -1,16 +1,0 @@
-%COMPILER            sxmpif90
-%LINK                sxmpif90
-%AR                  sxar
-%ARFLAGS             rs
-%MAKE                make
-%FPP_FLAGS           -P -traditional
-%FPP_DEF             NC_DOUBLE BLAS SGEMV=DGEMV SGEMM=DGEMM FFT_MATHKEISAN
-%BASE_FFLAGS         -P stack -Wf,-pvctl res=whole,-A dbl4,-ptr byte -EP -R5 -float0 -size_t64 -dw -Wf,"-pvctl loopcnt=999999 fullmsg noassume"
-%PROD_FFLAGS         -C vopt
-%DEV_FFLAGS          -C vsafe -gv -Wf,-init stack=nan,-init heap=nan
-%DEBUG_FFLAGS        -C debug -eC -Wf,-init stack=nan,-init heap=nan
-%MPI_FFLAGS
-%OMP_FFLAGS          -P openmp
-%BASE_LD             -size_t64 -lblas -lfft
-%MPI_LD
-%OMP_LD              -P openmp  -Wl,"-ZL 3G"
Index: DZ6/trunk/arch/arch-SX8_MERCURE.opt
===================================================================
--- /LMDZ6/trunk/arch/arch-SX8_MERCURE.opt	(revision 4596)
+++ 	(revision )
@@ -1,12 +1,0 @@
-%INLINE -pi auto exp=swtt1_lmdar4,swtt_lmdar4,swde_lmdar4,lwttm_lmdar4,lwtt_lmdar4,swr_lmdar4,swclr_lmdar4 noexp=SW_LMDAR4,SWU_LMDAR4,SW1S_LMDAR4,SW2S_LMDAR4,LW_LMDAR4,LWU_LMDAR4,LWBV_LMDAR4,LWC_LMDAR4,LWB_LMDAR4,LWV_LMDAR4,LWVB_LMDAR4,LWVD_LMDAR4,LWVN_LMDAR4 line=2000
-
-bld::tool::fflags::phys::readaerosol         %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt -pi auto
-bld::tool::fflags::phys::aeropt_2bands       %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR
-bld::tool::fflags::phys::radiation_AR4       %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt -Wf,-O,extendreorder %INLINE
-bld::tool::fflags::phys::radiation_AR4_param %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt %INLINE
-bld::tool::fflags::phys::fisrtilp            %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
-bld::tool::fflags::phys::cv30_routines       %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -Wf,-O,extendreorder
-bld::tool::fflags::phys::cvltr               %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
-bld::tool::fflags::phys::clouds_gno          %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
-bld::tool::fflags::dyn::vlsplt_p             %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
-bld::tool::fflags::dyn::groupeun_p           %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
Index: DZ6/trunk/arch/arch-SX8_MERCURE.path
===================================================================
--- /LMDZ6/trunk/arch/arch-SX8_MERCURE.path	(revision 4596)
+++ 	(revision )
@@ -1,12 +1,0 @@
-NETCDF_LIBDIR="-L ${NETCDF_SX_LIBDIR:-/usr/local/SX8/soft/netcdf/lib} -lnetcdf"
-NETCDF_INCDIR=-I${NETCDF_SX_INCLUDEDIR:-/usr/local/SX8/soft/netcdf/include}
-NETCDF95_INCDIR=$LMDGCM/../../include
-NETCDF95_LIBDIR=$LMDGCM/../../lib
-IOIPSL_INCDIR=$LMDGCM/../../lib
-IOIPSL_LIBDIR=$LMDGCM/../../lib
-ORCH_INCDIR=$LMDGCM/../../lib
-ORCH_LIBDIR=$LMDGCM/../../lib
-OASIS_INCDIR=$LMDGCM/../../prism/SX/build/lib/psmile.$couple
-OASIS_LIBDIR=$LMDGCM/../../prism/SX/lib
-INCA_LIBDIR=$LMDGCM/../INCA/config/lib
-INCA_INCDIR=$LMDGCM/../INCA/config/lib
Index: DZ6/trunk/arch/arch-X64_ADA.fcm
===================================================================
--- /LMDZ6/trunk/arch/arch-X64_ADA.fcm	(revision 4596)
+++ 	(revision )
@@ -1,17 +1,0 @@
-%COMPILER            mpiifort
-%LINK                mpiifort
-%AR                  ar
-%ARFLAGS             rs
-%MAKE                gmake
-%FPP_FLAGS           -P -traditional -I/smplocal/pub/FFTW/3.3.3_dyn/include/
-%FPP_DEF             NC_DOUBLE FFT_FFTW
-%BASE_FFLAGS         -auto -recursive -mcmodel=large -integer-size 32 -real-size 64 -align all 
-%PROD_FFLAGS         -O2 -ip -fp-model strict -axAVX,SSE4.2
-%DEV_FFLAGS          -p -g -O1 -fpe0 -traceback
-%DEBUG_FFLAGS        -p -g -O0 -fpe-all=0 -traceback -ftrapuv -fp-stack-check -check bounds,format,output_conversion,pointers,uninit -debug -ftz
-%MPI_FFLAGS
-%OMP_FFLAGS          -openmp
-%BASE_LD             -L/smplocal/pub/FFTW/3.3.3_dyn/lib -lfftw3 -shared-intel  -lmkl_intel_lp64 -lmkl_sequential -lmkl_core -lpthread -Wl,-rpath=/smplocal/pub/NetCDF/4.1.3/mpi/lib:/smplocal/pub/HDF5/1.8.9/par/lib:/smplocal/pub/FFTW/3.3.3_dyn/lib
-%MPI_LD              
-%OMP_LD              -openmp
-
Index: DZ6/trunk/arch/arch-X64_ADA.path
===================================================================
--- /LMDZ6/trunk/arch/arch-X64_ADA.path	(revision 4596)
+++ 	(revision )
@@ -1,15 +1,0 @@
-NETCDF_LIBDIR="${NETCDF_LDFLAGS:--L/smplocal/pub/NetCDF/4.1.3/mpi/lib -lnetcdff -lnetcdf -L/smplocal/pub/HDF5/1.8.9/par/lib -Bstatic -lhdf5hl_fortran -lhdf5_hl -lhdf5_fortran -lhdf5 -Bdynamic -lz}"
-NETCDF_INCDIR="${NETCDF_FFLAGS:--I/smplocal/pub/HDF5/1.8.9/par/include -I/smplocal/pub/NetCDF/4.1.3/mpi/include}"
-NETCDF95_INCDIR=$LMDGCM/../../include/NetCDF95
-NETCDF95_LIBDIR=$LMDGCM/../../lib
-IOIPSL_INCDIR="$LMDGCM/../../lib -I$LMDGCM/../IOIPSL/inc"
-IOIPSL_LIBDIR="$LMDGCM/../../lib -lioipsl -L$LMDGCM/../IOIPSL/lib"
-XIOS_INCDIR=$LMDGCM/../XIOS/inc
-XIOS_LIBDIR=$LMDGCM/../XIOS/lib
-ORCH_INCDIR=$LMDGCM/../../lib
-ORCH_LIBDIR=$LMDGCM/../../lib
-OASIS_INCDIR=$LMDGCM/../../oasis3-mct/BLD/build/lib/psmile.MPI1
-OASIS_LIBDIR=$LMDGCM/../../oasis3-mct/BLD/lib
-INCA_LIBDIR=$LMDGCM/../INCA/config/lib
-INCA_INCDIR=$LMDGCM/../INCA/config/inc
-
Index: DZ6/trunk/arch/arch-X64_CURIE.fcm
===================================================================
--- /LMDZ6/trunk/arch/arch-X64_CURIE.fcm	(revision 4596)
+++ 	(revision )
@@ -1,17 +1,0 @@
-%COMPILER            mpif90
-%LINK                mpif90
-%AR                  ar
-%ARFLAGS             rs
-%MAKE                gmake
-%FPP_FLAGS           -P -traditional
-%FPP_DEF             NC_DOUBLE FFT_MKL
-#%BASE_FFLAGS        -recursive -xHost -i4 -r8 -auto -align all -I$(MKL_INC_DIR) -I$(MKL_INC_DIR)/intel64/lp64
-%BASE_FFLAGS         -i4 -r8 -auto -align all -I$(MKL_INC_DIR) -I$(MKL_INC_DIR)/intel64/lp64 
-%PROD_FFLAGS         -O3 -axAVX,SSE4.2 -fp-model fast=2
-%DEV_FFLAGS          -fp-model strict -p -g -O2 -traceback -fp-stack-check
-%DEBUG_FFLAGS        -fp-model strict -p -g -traceback -fp-stack-check -ftrapuv
-%MPI_FFLAGS
-%OMP_FFLAGS          -openmp
-%BASE_LD             -i4 -r8 -auto $MKL_LIBS
-%MPI_LD
-%OMP_LD              -openmp
Index: DZ6/trunk/arch/arch-X64_CURIE.path
===================================================================
--- /LMDZ6/trunk/arch/arch-X64_CURIE.path	(revision 4596)
+++ 	(revision )
@@ -1,14 +1,0 @@
-NETCDF_LIBDIR="-L$NETCDF_LIB_DIR -lnetcdff -lnetcdf"
-NETCDF_INCDIR=-I$NETCDF_INC_DIR
-NETCDF95_INCDIR=$LMDGCM/../../include/NetCDF95
-NETCDF95_LIBDIR=$LMDGCM/../../lib
-IOIPSL_INCDIR=$LMDGCM/../../lib
-IOIPSL_LIBDIR=$LMDGCM/../../lib
-ORCH_INCDIR=$LMDGCM/../../lib
-ORCH_LIBDIR=$LMDGCM/../../lib
-OASIS_INCDIR=$LMDGCM/../../oasis3-mct/BLD/build/lib/psmile.MPI1
-OASIS_LIBDIR=$LMDGCM/../../oasis3-mct/BLD/lib
-INCA_LIBDIR=$LMDGCM/../INCA/config/lib
-INCA_INCDIR=$LMDGCM/../INCA/config/inc
-XIOS_INCDIR=$LMDGCM/../XIOS/inc
-XIOS_LIBDIR=$LMDGCM/../XIOS/lib
Index: DZ6/trunk/arch/arch-X64_TITANE.fcm
===================================================================
--- /LMDZ6/trunk/arch/arch-X64_TITANE.fcm	(revision 4596)
+++ 	(revision )
@@ -1,16 +1,0 @@
-%COMPILER            mpif90
-%LINK                mpif90
-%AR                  ar
-%ARFLAGS             rs
-%MAKE                gmake
-%FPP_FLAGS           -P -traditional
-%FPP_DEF             NC_DOUBLE BLAS SGEMV=DGEMV SGEMM=DGEMM FFT_MKL
-%BASE_FFLAGS         -i4 -r8 -automatic -align all -I${MKLROOT}/include
-%PROD_FFLAGS         -O3
-%DEV_FFLAGS          -p -g -O3 -traceback -fp-stack-check -ftrapuv
-%DEBUG_FFLAGS        -p -g -traceback
-%MPI_FFLAGS
-%OMP_FFLAGS          -openmp
-%BASE_LD             -p -i4 -r8 -automatic $MKL_LIBS
-%MPI_LD
-%OMP_LD              -openmp
Index: DZ6/trunk/arch/arch-X64_TITANE.path
===================================================================
--- /LMDZ6/trunk/arch/arch-X64_TITANE.path	(revision 4596)
+++ 	(revision )
@@ -1,13 +1,0 @@
-NETCDF_LIBDIR="-L$NETCDF_LIB_DIR -lnetcdff -lnetcdf"
-NETCDF_INCDIR=-I$NETCDF_INC_DIR
-NETCDF95_INCDIR=$LMDGCM/../../include
-NETCDF95_LIBDIR=$LMDGCM/../../lib
-IOIPSL_INCDIR=$LMDGCM/../../lib
-IOIPSL_LIBDIR=$LMDGCM/../../lib
-ORCH_INCDIR=$LMDGCM/../../lib
-ORCH_LIBDIR=$LMDGCM/../../lib
-OASIS_INCDIR=$LMDGCM/../../prism/X64/build/lib/psmile.$couple
-OASIS_LIBDIR=$LMDGCM/../../prism/X64/lib
-INCA_LIBDIR=$LMDGCM/../INCA/config/lib
-INCA_INCDIR=$LMDGCM/../INCA/config/lib
-