Index: LMDZ6/trunk/arch/arch-SX9_MERCURE.fcm
===================================================================
--- LMDZ6/trunk/arch/arch-SX9_MERCURE.fcm	(revision 4597)
+++ LMDZ6/trunk/arch/arch-SX9_MERCURE.fcm	(revision 4598)
@@ -1,4 +1,5 @@
 %COMPILER            sxmpif90
 %LINK                sxmpif90
+%FPP                 sxcpp
 %AR                  sxar
 %ARFLAGS             rs
Index: LMDZ6/trunk/arch/arch-X64_IRENE-AMD.fcm
===================================================================
--- LMDZ6/trunk/arch/arch-X64_IRENE-AMD.fcm	(revision 4597)
+++ LMDZ6/trunk/arch/arch-X64_IRENE-AMD.fcm	(revision 4598)
@@ -1,4 +1,5 @@
 %COMPILER            mpif90
 %LINK                mpif90
+%FPP                 mpif90 -E
 %AR                  ar
 %ARFLAGS             rs
Index: LMDZ6/trunk/arch/arch-X64_IRENE.fcm
===================================================================
--- LMDZ6/trunk/arch/arch-X64_IRENE.fcm	(revision 4597)
+++ LMDZ6/trunk/arch/arch-X64_IRENE.fcm	(revision 4598)
@@ -1,4 +1,5 @@
 %COMPILER            mpif90
 %LINK                mpif90
+%FPP                 mpif90 -E
 %AR                  ar
 %ARFLAGS             rs
Index: LMDZ6/trunk/arch/arch-X64_JEANZAY.fcm
===================================================================
--- LMDZ6/trunk/arch/arch-X64_JEANZAY.fcm	(revision 4597)
+++ LMDZ6/trunk/arch/arch-X64_JEANZAY.fcm	(revision 4598)
@@ -2,4 +2,5 @@
 %COMPILER            mpiifort
 %LINK                mpiifort
+%FPP                 mpiifort -E
 %AR                  ar
 %ARFLAGS             rs
Index: LMDZ6/trunk/arch/arch-X64_OCCIGEN.fcm
===================================================================
--- LMDZ6/trunk/arch/arch-X64_OCCIGEN.fcm	(revision 4597)
+++ LMDZ6/trunk/arch/arch-X64_OCCIGEN.fcm	(revision 4598)
@@ -1,4 +1,5 @@
 %COMPILER            mpif90
 %LINK                mpif90
+%FPP                 cpp
 %AR                  ar
 %ARFLAGS             rs
Index: LMDZ6/trunk/arch/arch-g95.fcm
===================================================================
--- LMDZ6/trunk/arch/arch-g95.fcm	(revision 4597)
+++ LMDZ6/trunk/arch/arch-g95.fcm	(revision 4598)
@@ -1,4 +1,5 @@
 %COMPILER            g95
 %LINK                g95
+%FPP                 cpp
 %AR                  ar
 %ARFLAGS             rs
Index: LMDZ6/trunk/arch/arch-gfortran.fcm
===================================================================
--- LMDZ6/trunk/arch/arch-gfortran.fcm	(revision 4597)
+++ LMDZ6/trunk/arch/arch-gfortran.fcm	(revision 4598)
@@ -1,4 +1,5 @@
 %COMPILER            mpifort
 %LINK                mpifort
+%FPP                 cpp
 %AR                  ar
 %ARFLAGS             rs
Index: LMDZ6/trunk/arch/arch-gfortran_CICLAD.fcm
===================================================================
--- LMDZ6/trunk/arch/arch-gfortran_CICLAD.fcm	(revision 4597)
+++ LMDZ6/trunk/arch/arch-gfortran_CICLAD.fcm	(revision 4598)
@@ -1,4 +1,5 @@
 %COMPILER            $MPI_BIN/mpif90
 %LINK                $MPI_BIN/mpif90
+%FPP                 cpp
 %AR                  ar
 %ARFLAGS             rs
Index: LMDZ6/trunk/arch/arch-ifort_CICLAD.fcm
===================================================================
--- LMDZ6/trunk/arch/arch-ifort_CICLAD.fcm	(revision 4597)
+++ LMDZ6/trunk/arch/arch-ifort_CICLAD.fcm	(revision 4598)
@@ -1,4 +1,5 @@
 %COMPILER            $MPI_BIN/mpif90
 %LINK                $MPI_BIN/mpif90
+%FPP                 cpp
 %AR                  ar
 %ARFLAGS             rs
Index: LMDZ6/trunk/arch/arch-ifort_LSCE.fcm
===================================================================
--- LMDZ6/trunk/arch/arch-ifort_LSCE.fcm	(revision 4597)
+++ LMDZ6/trunk/arch/arch-ifort_LSCE.fcm	(revision 4598)
@@ -1,4 +1,5 @@
 %COMPILER            mpif90
 %LINK                mpif90
+%FPP                 cpp
 %AR                  ar
 %ARFLAGS             rs
Index: LMDZ6/trunk/arch/arch-ifort_MESOIPSL.fcm
===================================================================
--- LMDZ6/trunk/arch/arch-ifort_MESOIPSL.fcm	(revision 4597)
+++ LMDZ6/trunk/arch/arch-ifort_MESOIPSL.fcm	(revision 4598)
@@ -1,4 +1,5 @@
 %COMPILER            mpif90
 %LINK                mpif90
+%FPP                 cpp
 %AR                  ar
 %ARFLAGS             rs
Index: LMDZ6/trunk/arch/arch-linux-32bit.fcm
===================================================================
--- LMDZ6/trunk/arch/arch-linux-32bit.fcm	(revision 4597)
+++ LMDZ6/trunk/arch/arch-linux-32bit.fcm	(revision 4598)
@@ -1,4 +1,5 @@
 %COMPILER            pgf95
 %LINK                pgf95
+%FPP                 cpp
 %AR                  ar
 %ARFLAGS             rs
Index: LMDZ6/trunk/arch/arch-pgf_CICLAD.fcm
===================================================================
--- LMDZ6/trunk/arch/arch-pgf_CICLAD.fcm	(revision 4597)
+++ LMDZ6/trunk/arch/arch-pgf_CICLAD.fcm	(revision 4598)
@@ -1,4 +1,5 @@
 %COMPILER            $MPI_BIN/mpif90
 %LINK                $MPI_BIN/mpif90
+%FPP                 cpp
 %AR                  ar
 %ARFLAGS             rs
Index: LMDZ6/trunk/bld.cfg
===================================================================
--- LMDZ6/trunk/bld.cfg	(revision 4597)
+++ LMDZ6/trunk/bld.cfg	(revision 4598)
@@ -7,7 +7,4 @@
 # Build information
 # ------------------------------------------------------------------------------
-
-#Default value of FPP fortran preprocessor
-%FPP cpp
 
 inc arch.fcm